/*
 * PSPLINK
 * -----------------------------------------------------------------------
 * Licensed under the BSD license, see LICENSE in PSPLINK root for details.
 *
 * apihook.h - User mode API Hooking for psplink
 *
 * Copyright (c) 2005 James F <tyranid@gmail.com>
 *
 * $HeadURL: svn://svn.ps2dev.org/psp/trunk/psplink/psplink/apihook.h $
 * $Id: apihook.h 1928 2006-05-30 10:13:33Z tyranid $
 */
#ifndef __APIHOOK_H__
#define __APIHOOK_H__


#define APIHOOK_MAXNAME 32
#define APIHOOK_MAXPARAM 6
#define APIHOOK_MAXIDS   16

void initApiHooks();
u32 apiHookByNid(const char *modname, const char *library, u32 nid, void *func);
u32 callApiHook(u32 hookid, ...);
void unHookApi(u32 hookid);

#endif
